
Redmine - Defect #5739
Direct access to Issue update from issue list
2010-06-23 10:44 - Cristiano Costantini

Status: Closed Start date: 2010-06-23
Priority: Low Due date:
Assignee: % Done: 0%
Category: UI Estimated time: 0.00 hour
Target version:
Resolution: Duplicate Affected version:
Description

Redmine has poor ergonomic efficiency when we want to update a issue:

starting from the issue list which include the issue you want to update, you need to first open if for showing, then click on update.

An "edit" icon on the issue row should allow direct access to issue update.

Related issues:
Duplicates Redmine - Patch # 26655: Additional icon for contextmenu Closed

History
#1 - 2010-06-23 11:09 - Felix Schäfer

The first entry in the right-click menu (see [[RedmineIssueList#Shortcut-menu]]) is a direct link to an edit pane, does that work for you? I don't think
there will be a direct link in the issue list, because there aren't any other "shortcut" links, everything that does something to issues is in the right-click
menu.

#2 - 2010-06-24 11:06 - Cristiano Costantini

Ok, so the functionality exists, and it is good!

I don't like that idea that usage is different on different table (for example, project settings -> members lists works in a different way, by having 2 icon on
the row, for edit and delete).
I also personally don't like right clicks on web application because people tend to not use them and are not intuitive.

What i think it would be good, and what I would discuss here, is a change proposal:

What do you think if the popup menu is shown by left clicking on a "more..." icon (like the "edit" and "delete" ones you can find in the
project settings members)?

if this is going to be a feauture for next releases, ok, else I think it could be easy to write a patch for my personal redmine installation as soon as I will
be little better with ruby on rails and redmine patching/plugins (any suggestion?).

#3 - 2010-06-27 17:54 - Jean-Baptiste Barth

+1 for the idea right-click menu should be replaced by something more intuitive, accessible, and cross-browser...

#4 - 2018-06-09 04:00 - Go MAEDA
- Status changed from New to Closed
- Resolution set to Duplicate

Redmine 4.0.0 will have icons to open a context menu on the issues page. Please see #26655 for details.

#5 - 2018-06-09 04:00 - Go MAEDA
- Duplicates Patch #26655: Additional icon for contextmenu added
